- name: "Creating gpg creation file"
  shell:
    cmd: |
      cat <<EOF>/tmp/gen-key-script
      Key-Type: 1
      Key-Length: {{ gpg_key_length }}
      Subkey-Type: 1
      Subkey-Length: {{ gpg_key_length }}
      Name-Real: {{ gpg_key_real_name }}
      Name-Email: {{ gpg_key_email }}
      Expire-Date: 0
      Passphrase: {{ gpg_key_password }}
      EOF
  args:
    executable: "{{ shell_executable }}"
    creates: "~{{ gpg_key_user }}/.gnupg/trustdb.gpg"
  become: yes
  become_user: "{{ gpg_key_user }}"
  tags:
    - gpg_key_create

- name: "Creating gpg"
  shell: |
    set -euxo pipefail
    gpg -v --batch --gen-key /tmp/gen-key-script
    rm /tmp/gen-key-script
    gpg --list-keys
  args:
    executable: "{{ shell_executable }}"
    creates: "~{{ gpg_key_user }}/.gnupg/trustdb.gpg"
  become: yes
  become_user: "{{ gpg_key_user }}"
  tags:
    - gpg_key_create
